Can't install Ionic node-sass problem


#1

I’m trying to install Ionic in manjaro but it is not possible

I’m using nvm with node v4.0.0 (Node 5 does not work at the moment!) and npm 3.8.0 but when I run sudo npm install -g ionic I get this error

$ sudo npm install -g ionic
/home/xx/.nvm/versions/node/v4.0.0/bin/ionic -> /home/xx/.nvm/versions/node/v4.0.0/lib/node_modules/ionic/bin/ionic

> node-sass@3.4.2 install /home/xx/.nvm/versions/node/v4.0.0/lib/node_modules/ionic/node_modules/node-sass
> node scripts/install.js

module.js:338
    throw err;
          ^
Error: Cannot find module '/home/xx/.nvm/versions/node/v4.0.0/lib/node_modules/ionic/node_modules/node-sass/scripts/install.js'
    at Function.Module._resolveFilename (module.js:336:15)
    at Function.Module._load (module.js:278:25)
    at Function.Module.runMain (module.js:501:10)
    at startup (node.js:129:16)
    at node.js:814:3
/home/xx/.nvm/versions/node/v4.0.0/lib
└── (empty)

npm ERR! Linux 4.1.18-2-MANJARO
npm ERR! argv "/home/xx/.nvm/versions/node/v4.0.0/bin/node" "/home/xx/.nvm/versions/node/v4.0.0/bin/npm" "install" "-g" "ionic"
npm ERR! node v4.0.0
npm ERR! npm  v3.8.0
npm ERR! code ELIFECYCLE

npm ERR! node-sass@3.4.2 install: `node scripts/install.js`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the node-sass@3.4.2 install script 'node scripts/install.js'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the node-sass package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     node scripts/install.js
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs node-sass
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls node-sass
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /home/xx/npm-debug.log
npm ERR! code 1

could you please help me to solve this?

Thanks :slight_smile:


#2

I got the solution from stack overflow

If you are using nvm you should install the packages without sudo and everything works.